package com.cn.fdapfe.biz.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.cn.fdapfe.common.annotation.Excel;
import com.cn.fdapfe.common.core.domain.BaseEntity;

/**
 * 公式管理管理对象 biz_formulas
 * 
 * @author ruoyi
 * @date 2025-03-07
 */
@Data
@TableName("biz_formula_t")
public class Formulas extends BasePO
{
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /** 序号 */
    @Excel(name = "公式ID")
    @TableId(value = "formula_id")
    private String formulaId;

    /** 公式名称 */
    @Excel(name = "公式名称")
    @TableField(value ="formula_name")
    private String formulaName;

    @Excel(name = "原始公式")
    @TableField(value ="original_formula")
    private String originalFormula;
    /** 公式 */
    @Excel(name = "公式简称")
    @TableField(value ="formula_short_name")
    private String formulaShortName;
    /** 公式名称 */
    @Excel(name = "公式存储过程")
    @TableField(value ="formula_stored_procedure")
    private String formulaStoredProcedure;

    /**\
     * 所属指标，0-一级指标，1-二级指标，3-三级指标
     */
    @Excel(name = "所属指标")
    @TableField(value ="formula_indicator")
    private String formulaIndicator;



}
