package com.cn.fdapfe.biz.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.cn.fdapfe.common.annotation.Excel;
import com.cn.fdapfe.common.core.domain.BaseEntity;

/**
 * 评估指标体系管理对象 biz_evaluation_indicator
 * 
 * @author Allen
 * @date 2025-03-07
 */
@Data
public class EvaluationIndicator extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 评估体系名称 */
    @Excel(name = "评估体系名称")
    private String name;

    /** 评估体系参数 */
    @Excel(name = "评估体系参数")
    private String bizParams;

}
