package com.cn.fdapfe.biz.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.cn.fdapfe.common.annotation.Excel;
import com.cn.fdapfe.common.core.domain.BaseEntity;

/**
 * 故障诊断算法模型管理对象 biz_fault_diagnosis_model
 * 
 * @author Allem
 * @date 2025-03-07
 */
public class FaultDiagnosisModel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 故障模型名称 */
    @Excel(name = "故障模型名称")
    private String name;

    /** 故障模型类型 */
    @Excel(name = "故障模型类型")
    private String type;

    /** 故障模型接口地址 */
    @Excel(name = "故障模型接口地址")
    private String path;

    /** 故障模型参数参数 */
    @Excel(name = "故障模型参数参数")
    private String bizParams;


}
